diff --git a/.gitignore b/.gitignore
index 756f21e..5708360 100644
--- a/.gitignore
+++ b/.gitignore
@@ -11,5 +11,6 @@ hypseus
 *.orig
 *.rej
 roms
-build
+build/
+.idea/
 src/Makefile.vars
diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index ad623ab..4fd2949 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -41,14 +41,12 @@ include(GNUInstallDirs)
 include(GetGitRevisionDescription)
 include(InstallRequiredSystemLibraries)
 include(FindPkgConfig)
-include(ExternalProject)
-include(BuildLibMPEG2)
 
 use_cxx11( )
 
 PKG_SEARCH_MODULE(SDL2 REQUIRED sdl2)
 PKG_SEARCH_MODULE(SDL2_TTF REQUIRED SDL2_ttf)
-build_libmpeg2( )
+PKG_SEARCH_MODULE(MPEG2 REQUIRED libmpeg2)
 
 message(STATUS "Target: ${CMAKE_SYSTEM_NAME} ${CMAKE_TARGET_ARCHITECTURES}")
 
@@ -76,6 +74,7 @@ message(STATUS "Version: ${VER_TAG}")
 include_directories(
     ${PROJECT_BINARY_DIR} # config.h
     ${SDL2_INCLUDE_DIRS}
+    ${MPEG2_INCLUDE_DIRS}
 )
 
 if( "${CMAKE_TARGET_ARCHITECTURES}" MATCHES "i386" )
@@ -102,11 +101,6 @@ add_subdirectory(timer)
 add_subdirectory(video)
 add_subdirectory(vldp)
 
-add_dependencies( vldp libmpeg2 )
-add_dependencies( ldp-out vldp )
-add_dependencies( game vldp )
-add_dependencies( sound vldp )
-
 find_package(SDL2 REQUIRED)
 find_package(SDL2TTF REQUIRED)
 find_package(SDL2_IMAGE REQUIRED)
diff --git a/src/vldp/vldp.h b/src/vldp/vldp.h
index dc75654..abab746 100644
--- a/src/vldp/vldp.h
+++ b/src/vldp/vldp.h
@@ -33,7 +33,8 @@ extern "C" {
 // by RDG2010
 // Ubuntu Linux complains with plain <SDL.h>
 // But CMake does the right thing here 
-#include <SDL.h> // only used for threading
+#include <SDL2/SDL.h> // only used for threading
+#include <mpeg2.h>
 
 struct yuv_buf {
     uint8_t *Y;     // Y channel
diff --git a/src/vldp/vldp_internal.cpp b/src/vldp/vldp_internal.cpp
index 14b979d..bacb739 100644
--- a/src/vldp/vldp_internal.cpp
+++ b/src/vldp/vldp_internal.cpp
@@ -38,8 +38,6 @@
 
 #include <inttypes.h>
 
-#include <mpeg2.h>
-
 // NOTICE : these variables should only be used by the private thread
 // !!!!!!!!!!!!
 
